BizKitHub
DocsAPI ReferenceLedger/bff/ledger/closing/income-tax
postLedgerAdmin BFF

/bff/ledger/closing/income-tax

Post the income tax for the year (591 / 341)

LedgerpostBffLedgerClosingIncome-tax

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
periodIdstringRequired

Fiscal period external id.

Length: 16–24
amountnumberRequired
Range: 0–∞
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–2000
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
entryIdstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
entryNostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "success": false
}

Request example

POST /bff/ledger/closing/income-tax

post
curl -X POST "https://api.bizkithub.com/bff/ledger/closing/income-tax" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "periodId": "example_periodId",
  "amount": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key